<?php

class Zend_View_Helper_InputText extends Zend_View_Helper_Abstract {

  public $view;

  public function setView(Zend_View_Interface $view) {
    $this->view = $view;
  }
  
  public function inputText($name = '', $value = '', $params = NULL){
    $value = htmlentities($this->view->escape($value), ENT_COMPAT, 'UTF-8');
    return $this->view->formText($name, $value, $params);
  }

}